Bug 53024 - printtool gives perl script error while starting lpd
Summary: printtool gives perl script error while starting lpd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-02 00:14 UTC by Need Real Name
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 14:31:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-09-02 00:14:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3+) Gecko/20010829

Description of problem:
I am getting the following error when I hit "apply" after I create a print
queue.  Recently printtool did work, but after I deleted a working queue
and added a new one I got this error message.  lpd will not start, no
information is added to /etc/printcap

Too many arguments for open at
/usr/share/printconf/util/make_mfomatic_cfg.pl line 126, near
"$local_foo_file) "
BEGIN not safe after errors--compilation aborted at
/usr/share/printconf/util/make_mfomatic_cfg.pl line 127.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start printtool
2.Create print queue
3.Hit apply

	

Actual Results:  This error message in console window that started printtool:

Too many arguments for open at
/usr/share/printconf/util/make_mfomatic_cfg.pl line 126, near
"$local_foo_file) "
BEGIN not safe after errors--compilation aborted at
/usr/share/printconf/util/make_mfomatic_cfg.pl line 127.

Expected Results:  no error message, printcap should be populated with
configuration settings, lpd should start

Additional info:

Comment 1 Tim Waugh 2002-01-10 15:18:28 UTC
Are you still using 7.1?  I wonder if this is fixed already in 7.2.



Note You need to log in before you can comment on or make changes to this bug.